﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace FlexAutoSizeRow48_532
{
  public partial class Form1 : Form
  {
    public Form1()
    {
      InitializeComponent();

      this.flexGrid.Cols.Count = 2;
      this.flexGrid.Cols.Fixed = 0;
      this.flexGrid.Cols[1].StarWidth = "*";

      for (int row = 1; row < this.flexGrid.Rows.Count; row++)
      {
        this.flexGrid[row, 0] = $"cell {row}/1";

        string wrapped = $"This is line 1" + Environment.NewLine +
          $"This is line 2" + Environment.NewLine;

        this.flexGrid[row, 1] = wrapped;
      }

      //Select any row:
      this.flexGrid.Row = 3;
    }

    private bool bolWordWrap = true;

    private void buttonAutoSize_Click(object sender, EventArgs e)
    {

      for (int intIndexStyle = 0; intIndexStyle < this.flexGrid.Styles.Count; intIndexStyle++)
      {
        this.flexGrid.Styles[intIndexStyle].WordWrap = this.bolWordWrap;
      }

      if (this.flexGrid.Row >= this.flexGrid.Rows.Fixed)
      {
        this.flexGrid.AutoSizeRow(this.flexGrid.Row);
      }
    }

    private void checkBoxWordWrap_CheckedChanged(object sender, EventArgs e)
    {
      this.bolWordWrap = this.checkBoxWordWrap.Checked;
    }
  }
}
